Index: /trunk/tools/documentation/plotting/gallery.html
===================================================================
--- /trunk/tools/documentation/plotting/gallery.html	(revision 1385)
+++ /trunk/tools/documentation/plotting/gallery.html	(revision 1386)
@@ -25,4 +25,5 @@
       <A HREF="topo_geogrid.html"><IMG SRC="figs/geo_domain.png" ALT="topography WRF's geogrid" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="topo_geogrid_boxes.html"><IMG SRC="figs/domain_boxes.png" ALT="nested topography WRF's geogrid with boxes" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="vertical_lev.html"><IMG SRC="figs/vertical_lev.png" ALT="distribution of vertical levels" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
     </DIV>
   </BODY>
Index: /trunk/tools/documentation/plotting/plotting.html
===================================================================
--- /trunk/tools/documentation/plotting/plotting.html	(revision 1385)
+++ /trunk/tools/documentation/plotting/plotting.html	(revision 1386)
@@ -20,4 +20,5 @@
       <A CLASS="lc" HREF="topo_geogrid.html" TARGET="value">topo geogrid</A><BR>
       <A CLASS="lc" HREF="topo_geogrid_boxes.html" TARGET="value">topo geogrid boxes</A><BR>
+      <A CLASS="lc" HREF="vertical_lev.html" TARGET="value">vertical levels</A><BR>
      <BR>
      ------- ------ ----- ---- --- -- -<BR>
Index: /trunk/tools/documentation/plotting/vertical_lev.html
===================================================================
--- /trunk/tools/documentation/plotting/vertical_lev.html	(revision 1386)
+++ /trunk/tools/documentation/plotting/vertical_lev.html	(revision 1386)
@@ -0,0 +1,45 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      vertical_lev
+    </DIV>
+    <DIV CLASS="valimg">
+      Plotting vertical levels of a given model. A grid point above the sea is taken (geopotential height at surface zero, geop(k=0) = 0
+      <IMG WIDTH="100%" SRC="figs/vertical_lev.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+    draw_vertical_levels(ncfile, values, varn)<BR>
+    &nbsp;&nbsp;ncfile= file to use<BR>
+    &nbsp;&nbsp;values= [zlogs]:[plogs]:[title]:[graphic_kind]:[legvals]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;zlogs: zlog,dzlog<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;zlog: to use logarithmic scale on the height axis ('true/false')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;dzlog: to use logarithmic scale on the difference of height between levels axis ('true/false')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;plogs: plog,dplog<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;plog: to use logarithmic scale on the height axis ('true/false')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;dplog: to use logarithmic scale on the difference of height between levels axis ('true/false')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;title: title of the graph ('!' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;graphic_kind: kind of figure (jpg, pdf, png)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[legvals]=[locleg]|[fontsize]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[locleg]: location of the legend (0, autmoatic)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1: 'upper right', 2: 'upper left', 3: 'lower left', 4: 'lower right',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5: 'right', 6: 'center left', 7: 'center right', 8: 'lower center',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9: 'upper center', 10: 'center'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[fontsize]: font size for the legend (auto for 12)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;varn= [varnheight],[varnpres]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;varnheight: name of the variable with the height of the vertical levels<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'WRFz': for WRF z-levels (computed as (PH + PHB)/g, from a PHB(0,i,j) = 0)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;varnpres: name of the variable with the pressure of the vertical levels ('None', for no pressure plot)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'WRFp': for WRF p-levels (computed as P + PB, from a PHB(0,i,j) = 0)<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/drawing.py -o draw_vertical_levels -f wrfout_d01_2001-11-11_00\:00\:00 -S 'true,true:true,true:WRF!vertical!levels:png:0|12' -v WRFz,WRFp 
+    </DIV>
+  </BODY>
+</HTML>
+