Index: /trunk/tools/documentation/plotting/TimeSeries.html
===================================================================
--- /trunk/tools/documentation/plotting/TimeSeries.html	(revision 1451)
+++ /trunk/tools/documentation/plotting/TimeSeries.html	(revision 1451)
@@ -0,0 +1,68 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      Time Series plot
+    </DIV>
+    <DIV CLASS="valimg">
+      Plotting a Time Series with line-markers
+      <IMG WIDTH="100%" SRC="figs/tas_rainbow_auto.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+    draw_timeSeries(filen, values, variables)<BR>
+    &nbsp;&nbsp;filen= name of the file<BR>
+    &nbsp;&nbsp;values= [dimvalues]:[sminv],[smaxv]:[gvarname]:[timetit]:[tkind]:[timefmt]:[title]:[legvals]:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[gkind]:[colorlines]:[typelines]:[widthlines]:[pointtype]:[pointfreq]:[figclose]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dimvalues]= ',' separated list of [dimname]|[slice]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dimname]: name of dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[slice]: value to take for the given dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [integer]: which value of the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* -1: all along the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [beg]@[end]@[freq] slice from [beg] to [end] every [freq]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* -9: last value of the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   [sminv],[smaxv]: minimum and maximum value for the lines or one value for each extreme:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Srange': for full range<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Saroundmean@val': for mean-xtrm,mean+xtrm where xtrm = np.min(mean-min@val,max@val-mean)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Saroundminmax@val': for min*val,max*val<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Saroundpercentile@val': for median-xtrm,median+xtrm where xtrm = np.min(median-percentile_(val),<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;percentile_(100-val)-median)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Smean@val': for -xtrm,xtrm where xtrm = np.min(mean-min*@val,max*@val-mean)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Smedian@val': for -xtrm,xtrm where xtrm = np.min(median-min@val,max@val-median)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Spercentile@val': for -xtrm,xtrm where xtrm = np.min(median-percentile_(val),<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;percentile_(100-val)-median)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[gvarname]: name of the variable to appear in the graph<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[timetit]: title of the time axis (assumed x-axis, '|' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[tkind]: kind of time to appear in the graph (assumed x-axis)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Nval': according to a given number of values as 'Nval',[Nval]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'exct': according to an exact time unit as 'exct',[tunit]; <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;tunit= [Nunits],[tu]; [tu]= 'c': centuries, 'y': year, 'm': month,<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'w': week, 'd': day, 'h': hour, 'i': minute, 's': second, <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'l': milisecond<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[timefmt]: format of the time labels (C-like)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[title]: title of the graphic ('|' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[legvals]=[locleg]|[fontsize]: <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[locleg]: location of the legend (0, autmoatic)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1: 'upper right', 2: 'upper left', 3: 'lower left', 4: 'lower right',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5: 'right', 6: 'center left', 7: 'center right', 8: 'lower center',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9: 'upper center', 10: 'center'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[fontsize]: font size for the legend (auto for 12)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[gkind]: kind of graphical output<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[colorlines]: ',' list of colors for the lines, 'None' for automatic, single<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;value all the same<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[pointtype]: ',' list of type of points for the lines, 'None' for automatic, single<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;value all the same<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[pointfreq]: frequency of point plotting, 'all' for all time steps<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[figclose]: whether figure should be closed or not<BR>
+    &nbsp;&nbsp;variables= [varname],[timename] names of variable and variable with times<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/drawing.py -o draw_TimeSeries -f ERAI_pl199501_131-132.nc -S 'lon|240,lat|120,time|-1,lev|0:Srange,Srange:ua:date|($[MM]^{[DD]}$):exct,15,d:$%m^{%d}$:January|1995|ERA-Interim|x-wind|at|i=240,|j=120,|k=0:ua:0|12:png:r:-:2:x:2:20:yes' -v var131,time
+    </DIV>
+  </BODY>
+</HTML>
+
Index: /trunk/tools/documentation/plotting/gallery.html
===================================================================
--- /trunk/tools/documentation/plotting/gallery.html	(revision 1450)
+++ /trunk/tools/documentation/plotting/gallery.html	(revision 1451)
@@ -24,6 +24,8 @@
       <A HREF="plot_points.html"><IMG SRC="figs/stations_loc.png" ALT="plot points" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="Taylor.html"><IMG SRC="figs/Taylor.png" ALT="Taylor diagram" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="TimeSeries.html"><IMG SRC="figs/TimeSeries_ua.png" ALT="Time Series" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="topo_geogrid.html"><IMG SRC="figs/geo_domain.png" ALT="topography WRF's geogrid" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="topo_geogrid_boxes.html"><IMG SRC="figs/domain_boxes.png" ALT="nested topography WRF's geogrid with boxes" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="trajectories.html"><IMG SRC="figs/trajectories.png" ALT="trajectories" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="vertical_lev.html"><IMG SRC="figs/vertical_lev.png" ALT="distribution of vertical levels" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="WindRose.html"><IMG SRC="figs/WindRose_anglespeedfreq.png" ALT="WindRose with frequencies of angle and wind speed" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
Index: /trunk/tools/documentation/plotting/plotting.html
===================================================================
--- /trunk/tools/documentation/plotting/plotting.html	(revision 1450)
+++ /trunk/tools/documentation/plotting/plotting.html	(revision 1451)
@@ -19,4 +19,5 @@
       <A CLASS="lc" HREF="plot_points.html" TARGET="value">points</A><BR>
       <A CLASS="lc" HREF="Taylor.html" TARGET="value">Taylor diagram</A><BR>
+      <A CLASS="lc" HREF="TimeSeries.html" TARGET="value">TImeSeries</A><BR>
       <A CLASS="lc" HREF="topo_geogrid.html" TARGET="value">topo geogrid</A><BR>
       <A CLASS="lc" HREF="topo_geogrid_boxes.html" TARGET="value">topo geogrid boxes</A><BR>
Index: /trunk/tools/documentation/plotting/trajectories.html
===================================================================
--- /trunk/tools/documentation/plotting/trajectories.html	(revision 1451)
+++ /trunk/tools/documentation/plotting/trajectories.html	(revision 1451)
@@ -0,0 +1,105 @@
+G<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      trajectories
+    </DIV>
+    <DIV CLASS="valimg">
+      Plotting a series of temporal trajectories
+      <IMG WIDTH="100%" SRC="figs/trajectories.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp"
+    draw_trajectories(trjfilens, values, observations)<BR>
+    &nbsp;&nbsp;Trajectories are readed from ASCII files with a pair of i,j grid points for each position of the trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;i,j couples of trajectories for all files are referred to a netcdf file with a respective projection<BR>
+    &nbsp;&nbsp;A complemtary file for observations is also added separately<BR>
+    &nbsp;&nbsp;trjfilens= [filen]@[Tint]@[map]@[Ttrj] ',' separated list of ASCII files with trajectories,<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;time intervals and reference maps (first one will be used to plot)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[filen]: name of the file to use (lines with '#', not readed) with values as:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[t-step] [x] [y]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[Tint]: interval of time-steps to get from the file as [Tbeg]@[Tend] or -1 for all the interval<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[map]: [file]#[lonname]#[latname] common projection data<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[file]; netcdf file with the [lon],[lat] projection for the trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[lonname],[latname]; names of the longitudes and latitudes variables in [file]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[Ttrj]|[val1]|[val2]|[...|[valN]]: kind of associated time values to the trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'t-step'|[dtime]|[idate]: each line corresponds to a consecutive time-step with the same deltatime<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dtime]: length of time-step in seconds<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[idate]: date of the first time-step (in [YYYY][MM][DD][HH][MI][SS] format)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'CF-step'|[units]|[refdate]: each line corresponds to a consecutive CF time-step<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[units]: any of standard temporal CF units: weeks, days, hours, minutes, seconds, ...<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[refdate]: reference date of the CF time-units<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'fulldate': each line provides the correspondance date (in [YYYY][MM][DD][HH][MI][SS] format)<BR>
+    &nbsp;&nbsp;values= [plotkind]|[leglabels]|[lonlatlims]|[title]|[graphk]|[mapkind]|[legvals]|[figclose]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[plotkind],[val1],[...,[valN]]: kind of plot to generate<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'spaghetti'@[trjltype]@[trjlcol]@[trjlwdth]@[trjptyp]@[trjpsiz]: line-marker for each trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjltype]: ',' list of type of lines for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjlcol]: ',' list of color of lines for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjlwdth]: ',' list of width of lines for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjptyp]: ',' list of type of points for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjpsiz]: ',' list of size of points for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'spaghetti_date'@[trjltype]@[trjlcol]@[trjlwdth]@[trjptyp]@[trjpsiz]@[datefmt]@[datefontsize]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;@[datefreq]@[xoffset]@[yoffset]: line-marker <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;for each trajectory with a given date format at each point<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjltype]: ',' list of type of lines for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjlcol]: ',' list of color of lines for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjlwdth]: ',' list of width of lines for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjptyp]: ',' list of type of points for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[trjpsiz]: ',' list of size of points for each trajectory (single value same for all, 'None' for auto)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[datefmt]: format of the date to show (C-like mixed with LaTeX commands)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[datefontsize]: font-size of the time-labels<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[datefreq]: frequency of time-labels<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[xoffset]: x-axis offset in pixels of the time-lables respect trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[yoffset]: y-axis offset in pixels of the time-lables respect trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[leglabels]: ',' separated list of names for the legend<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[lonlatlims]: ',' list of limits of the map [lonmin, latmin, lonmax, latmax] or None<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[title]: title of the plot ('!' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[graphk]: kind of output of the graphic (png, pdf, ...)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[mapkind]: drawing coastaline ([proj],[res]) or None<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[proj]: projection<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'cyl', cilindric<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'lcc', lambert conformal<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[res]: resolution:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'c', crude<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'l', low<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'i', intermediate<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'h', high<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'f', full<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[legvals]=[locleg]@[fontsize]: legend values<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[locleg]: location of the legend (0, autmoatic)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1: 'upper right', 2: 'upper left', 3: 'lower left', 4: 'lower right',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5: 'right', 6: 'center left', 7: 'center right', 8: 'lower center',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9: 'upper center', 10: 'center'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[fontsize]: font size for the legend (auto for 12)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[figclose]: whether figure should be closed or not<BR>
+    &nbsp;&nbsp;observations= [obsfile],[obsname],[Tint],[null],[obstrjvals] ('None' for no observational/reference trajectory)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[obsfile]: name fo the File with the observations as [t-step] [lat] [lon]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[obsname]: name of the observations in the graph<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[Tint]: interval of time as [Tbeg]@[Tend] or -1 for all the interval<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[null]: null value for the observed trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[obstrjvals] = [Ttrj]@[obsltype]@[obslcol]@[obslwdth]@[obsptyp]@[obspsiz] values for the observational/reference<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;trajectory in the plot<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Ttrj]|[val1]|[val2]|[...|[valN]]: kind of associated time values to the trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'t-step'|[dtime]|[idate]: each line corresponds to a consecutive time-step with the same deltatime<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dtime]: length of time-step in seconds<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[idate]: date of the first time-step (in [YYYY][MM][DD][HH][MI][SS] format)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'CF-step'|[units]|[refdate]: each line corresponds to a consecutive CF time-step<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[units]: any of standard temporal CF units: weeks, days, hours, minutes, seconds, ...<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[refdate]: reference date of the CF time-units<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'fulldate': each line provides the correspondance date (in [YYYY][MM][DD][HH][MI][SS] format)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[obsltype]: type of line for the observations/reference trajectory (single 'auto' for '-', 'k', 2, 'x', 2)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[obslcol]: color of line for the observations/reference trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[obslwdth]: width of line for the observations/reference trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[obsptyp]: type of point for the observations/reference trajectory<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[obspsiz]: size of point for the observations/reference trajectory<BR>
+    </DIV>
+    <DIV CLASS="valins">
+     $ python ${pyHOME}/drawing.py -o drawing.py -o draw_trajectories -f 'medic950116/control/trajectory.dat@-1@etudes/domains/WL_HyMeX_HighRes_C/geo_em.d01.nc#XLONG_M#XLAT_M@t-step|3600.|19950115000000,medic950116/wlmdza/trajectory.dat@-1@etudes/domains/WL_HyMeX_C/geo_em.d01.nc#XLONG_M#XLAT_M@t-step|3600.|19950115000000,medic950116/wlmdzb/trajectory.dat@-1@etudes/domains/WL_HyMeX_C/geo_em.d01.nc#XLONG_M#XLAT_M@t-step|3600.|19950115000000,medic950116/wlmdzb_cyc/trajectory.dat@-1@etudes/domains/WL_HyMeX_C/geo_em.d01.nc#XLONG_M#XLAT_M@t-step|3600.|19950115000000' -S 'spaghetti_date@-@None@1@o@1@$%d^{%H}$@8@6@4@4|$WRF_{CRM}$,$LMDZ_{AR4.0}$,$LMDZ_{NPv3.1}$,$LMDZ_{NPv3.1b}$|15,28,26,39|medicane trajectories|png|cyl,i|0@8|yes' -v 'medic950116/obs/trajectory.dat,satellite,-1,0.9999998779E+03,t-step|1800.|19950115000000@auto'
+    </DIV>
+  </BODY>
+</HTML>
+