Index: trunk/tools/documentation/plotting/gallery.html
===================================================================
--- trunk/tools/documentation/plotting/gallery.html	(revision 1469)
+++ trunk/tools/documentation/plotting/gallery.html	(revision 1471)
@@ -25,4 +25,6 @@
       <A HREF="Nlines_time.html"><IMG SRC="figs/lines_time.png" ALT="Nlines time" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="plot_points.html"><IMG SRC="figs/stations_loc.png" ALT="plot points" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="plot_points_lonlat.html"><IMG SRC="figs/points_lonlat_5k.png" ALT="plot lon,lat points" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="plot_points_lonlat.html"><IMG SRC="figs/points_lonlat_hurs-tas.png" ALT="plot lon,lat points" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="pointsZval.html"><IMG SRC="figs/pointsZval.png" ALT="plot points by Z value" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="river_desc.html"><IMG SRC="figs/or_rivers.png" ALT="plot rivers from ORCHIDEE's description" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>     
Index: trunk/tools/documentation/plotting/plotting.html
===================================================================
--- trunk/tools/documentation/plotting/plotting.html	(revision 1469)
+++ trunk/tools/documentation/plotting/plotting.html	(revision 1471)
@@ -15,12 +15,13 @@
       <A CLASS="lc" HREF="2Dshad_line_time.html" TARGET="value">2D shadow line time</A><BR>
       <A CLASS="lc" HREF="barbs.html" TARGET="value">barbs</A><BR>
-      <A CLASS="lc" HREF="basin.html" TARGET="value">basin</A><BR>
+      <A CLASS="lc" HREF="basins.html" TARGET="value">ORCHIDEE's basins</A><BR>
       <A CLASS="lc" HREF="Neighbourgh_evol.html" TARGET="value">Neighbourghood evolution</A><BR>
       <A CLASS="lc" HREF="Nlines.html" TARGET="value">Nlines</A><BR>
       <A CLASS="lc" HREF="Nlines_time.html" TARGET="value">Nlines time</A><BR>
       <A CLASS="lc" HREF="plot_points.html" TARGET="value">points</A><BR>
+      <A CLASS="lc" HREF="points_lonlat.html" TARGET="value">lon,lat points</A><BR>
       <A CLASS="lc" HREF="pointsZval.html" TARGET="value">points Zval</A><BR>
-      <A CLASS="lc" HREF="river_desc.html" TARGET="value">river description</A><BR>
-      <A CLASS="lc" HREF="subbasin.html" TARGET="value">sub-basin</A><BR>
+      <A CLASS="lc" HREF="river_desc.html" TARGET="value">ORCHIDEE's river description</A><BR>
+      <A CLASS="lc" HREF="subbasin.html" TARGET="value">ORCHIDEE's sub-basin</A><BR>
       <A CLASS="lc" HREF="Taylor.html" TARGET="value">Taylor diagram</A><BR>
       <A CLASS="lc" HREF="TimeSeries.html" TARGET="value">TimeSeries</A><BR>
Index: trunk/tools/documentation/plotting/subbasin.html
===================================================================
--- trunk/tools/documentation/plotting/subbasin.html	(revision 1469)
+++ trunk/tools/documentation/plotting/subbasin.html	(revision 1471)
@@ -11,8 +11,5 @@
     </DIV>
     <DIV CLASS="valimg">
-      Plotting subbasin from a given point of its discharge from 'routing.nc' ORCDHIEE file <BR>
-      &nbsp;&nbsp;Each river is composed of different subbasins. Grouped up-flow. This function use a different color <BR>
-      &nbsp;&nbsp;for the first level of suubbasins, and a different degree of color for the sub-subbasins of the first level <BR>
-      &nbsp;&nbsp;It takes output from `subbasin' function from 'nc_var.py'
+      Plotting subbasin from a given point of its discharge from 'routing.nc' ORCDHIEE file. Each river is composed of different subbasins. Grouped up-flow. This function use a different color for the first level of suubbasins, and a different degree of color for the sub-subbasins of the first level. It takes output from `subbasin' function from 'nc_var.py'
       <IMG WIDTH="100%" SRC="figs/tas_rainbow_auto.png"></IMG>
     </DIV>
@@ -49,5 +46,5 @@
     </DIV>
     <DIV CLASS="valins">
-      python ${pyHOME}/drawing.py -o draw_subbasin -f Caceres_subbasin.nc -S 'Caceres:None:cyl,l:2:True:Parana!subbasins!from!C&agrave;ceres:png:0:Caceres_subbasin:True:True'
+      python ${pyHOME}/drawing.py -o draw_subbasin -f Caceres_subbasin.nc -S 'Caceres:None:cyl,l:2:True:Parana!subbasins!from!C&aacute;ceres:png:0:Caceres_subbasin:True:True'
     </DIV>
   </BODY>