Index: /trunk/tools/documentation/plotting/Nlines_time.html
===================================================================
--- /trunk/tools/documentation/plotting/Nlines_time.html	(revision 1488)
+++ /trunk/tools/documentation/plotting/Nlines_time.html	(revision 1489)
@@ -34,5 +34,5 @@
     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Ndy]: Number of ticks at the y-axis ('auto' for 5)<BR>
     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ordy]: angle of orientation of ticks at the y-axis ('auto' for horizontal)<BR>
-    &nbsp;&nbsp;&nbsp;&nbsp;[leglabels]: ',' separated list of names for the legend ('None', no legend '!' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[leglabels]: ',' separated list of names for the legend ('None', no legend '!' for spaces, '*' for no label)<BR>
     &nbsp;&nbsp;&nbsp;&nbsp;[vartit]: name of the variable in the graph<BR>
     &nbsp;&nbsp;&nbsp;&nbsp;[title]: title of the plot ('|' for spaces)<BR>
Index: /trunk/tools/drawing.py
===================================================================
--- /trunk/tools/drawing.py	(revision 1488)
+++ /trunk/tools/drawing.py	(revision 1489)
@@ -28,5 +28,5 @@
 ## e.g. # python ../drawing.py -f ~/etudes/domains/SIRTA/geo_em.d01.nc,/home/lluis/etudes/domains/SIRTA/geo_em.d02.nc -o draw_topo_geogrid_boxes -S '0.,1500.:None:WRF!domain!centered!at!SIRTA:png:cyl,i:d01$_{15k}$,d02$_{3k}$:0|10:True' 
 ## e.g. # drawing.py -f ~/etudes/domains/MEDCORDEX/geo_em.d01.nc -o draw_2D_shad_cont -S 'height,landmask:Time|0:Time|0:XLONG_M:XLAT_M:terrain:fixc,k:None:0.,3000.:0,1,10:MEDCORDEX height & landmask:pdf:False:lcc,i' -v HGT_M,LANDMASK
-## e.g. # $ drawing.py -f WRF/current/hurs_wrfout_tturb_xmean_last.nc,WRF/micro1/hurs_wrfout_tturb_xmean_last.nc,WRF/micro2/hurs_wrfout_tturb_xmean_last.nc,WRF_LMDZ/AR40/hurs_wrfout_tturb_xmean_last.nc,WRF_LMDZ/NPv31/hurs_wrfout_tturb_xmean_last.nc,LMDZ/AR40/hurs_reproj-histins_tturb_xmean_last.nc,LMDZ/NPv31/hurs_reproj-histins_tturb_xmean_last.nc -o draw_lines -S 'lat:x:lat ($degrees\ North$):auto:wcurr,wmp1,wmp2,wlmdza,wlmdzb,lmdza,lmdzb:hurs:all model-experiments meridional hurs$_{[tturb\ xmean\ last]}$:0|auto:None:-:,:2.:2.:all:Nlines_hurs_wrfout_tturb-xmean-last:png:True' -v hursturbmean
+## e.g. # $ drawing.py -f WRF/current/hurs_wrfout_tturb_xmean_last.nc,WRF/micro1/hurs_wrfout_tturb_xmean_last.nc,WRF/micro2/hurs_wrfout_tturb_xmean_last.nc,WRF_LMDZ/AR40/hurs_wrfout_tturb_xmean_last.nc,WRF_LMDZ/NPv31/hurs_wrfout_tturb_xmean_last.nc,LMDZ/AR40/hurs_reproj-histins_tturb_xmean_last.nc,LMDZ/NPv31/hurs_reproj-histins_tturb_xmean_last.nc -o draw_lines -S 'lat:x:lat ($degrees\ North$):auto:auto:wcurr,wmp1,wmp2,wlmdza,wlmdzb,lmdza,lmdzb:hurs:all model-experiments meridional hurs$_{[tturb\ xmean\ last]}$:0|auto:None:-:,:2.:2.:all:Nlines_hurs_wrfout_tturb-xmean-last:png:True' -v hursturbmean
 ## e.g. # drawing.py -o draw_lines_time -f wrfout_d01_2001-11-11_00:00:00_west_east_B20-E20-I1_south_north_B20-E20-I1.nc,wrfout_d01_2001-11-11_00:00:00_west_east_B25-E25-I1_south_north_B25-E25-I1.nc,wrfout_d01_2001-11-11_00:00:00_west_east_B35-E35-I1_south_north_B35-E35-I1.nc -S 'WRFtime;y;time ([DD]${[HH]}$);auto;we=20$\times$sn=20,we=25$\times$sn=25,we=35$\times$sn=35;tas;tas|evolution|at|3|different|grid|points;None;time|hours!since!1949-12-01_00:00:00|exct,3,h|%d$^{%H}$;0|12;pdf;-;r,g,b;.;2.;2.;all;-1;True' -v T2
 ## e.g. # drawing.py -o draw_Neighbourghood_evol -S 'vas:Time|-1|WRFtime,south_north|44|XLAT,west_east|88|XLONG:south_north,west_east:5:auto:time|($[DD]^{[HH]}$),time|($[DD]^{[HH]}$):exct,1,h|exct,3,h:$%d^{%H}$,$%d^{%H}$:5|pts|neighbourghood|temporal|evolution|on|2001|Nov.|at|x=88,|y=44:0.0,20.:rainbow,auto,auto:auto:png:vas_Neigh_evol:True' -f ~/PY/wrfout_d01_2001-11-11_00:00:00 -v V10
@@ -2355,5 +2355,5 @@
           [Ndy]: Number of ticks at the y-axis ('auto' for 5)
           [ordy]: angle of orientation of ticks at the y-axis ('auto' for horizontal)
-        [leglabels]: ',' separated list of names for the legend ('None', no legend '!' for spaces)
+        [leglabels]: ',' separated list of names for the legend ('None', no legend '!' for spaces, '*' for no label)
         [vartit]: name of the variable in the graph
         [title]: title of the plot ('|' for spaces)
@@ -2439,8 +2439,8 @@
 
 # Multiple variables?
-    if varname0.find(',') != -1:
-        varname = varname0.split(',')
-    else:
-        varname = [varname0]
+    if varnames.find(',') != -1:
+        varname = varnames.split(',')
+    else:
+        varname = [varnames]
 
 # Multiple lines types?
@@ -2525,5 +2525,4 @@
     timvals0 = timvalues
 
-    print '  ' + fname
     ifn = 0
     mintval = 1.e20
Index: /trunk/tools/drawing_tools.py
===================================================================
--- /trunk/tools/drawing_tools.py	(revision 1488)
+++ /trunk/tools/drawing_tools.py	(revision 1489)
@@ -6280,5 +6280,5 @@
       yaxv= list with the y-axis paramteres [style, format, number and orientation]
       dtit= title for the common dimension
-      linesn= names for the legend (None, no legend)
+      linesn= names for the legend (None, no legend, '!' for spaces, '*' for no label)
       vtit= title for the vaxis
       vunit= units of the vaxis
@@ -6381,7 +6381,13 @@
     if vaxis == 'x':
         for il in range(Ntraj):
-            plt.plot(varvv[il], vardv[il], linekinds[il], marker=pointkinds[il],     \
-              label=linesn[il], color=colvalues[il], linewidth=lwidths[il],          \
-              markersize=psizes[il], markevery=ptf)
+            if linesn[il] != '*': 
+                plt.plot(varvv[il], vardv[il], linekinds[il], marker=pointkinds[il], \
+                  label=gen.latex_text(linesn[il].replace('!',' ')),                 \
+                  color=colvalues[il], linewidth=lwidths[il], markersize=psizes[il], \
+                  markevery=ptf)
+            else:
+                plt.plot(varvv[il], vardv[il], linekinds[il], marker=pointkinds[il], \
+                  color=colvalues[il], linewidth=lwidths[il], markersize=psizes[il], \
+                  markevery=ptf)
 
             minvv = np.min(varvv[il])
@@ -6395,5 +6401,5 @@
             if maxdv > xtrmdv[1]: xtrmdv[1] = maxdv
 
-        plt.xlabel(vtit + ' (' + vunit + ')')
+        plt.xlabel(gen.latext_text(vtit) + ' (' + gen.latex_text(vunit) + ')')
         plt.ylabel(dtit)
 #        plt.xlim(np.min(varTvv),np.max(varTvv))
@@ -6416,7 +6422,12 @@
         for il in range(Ntraj):
             Nvals = len(vardv[il])
-            plt.plot(vardv[il], varvv[il], linekinds[il], marker=pointkinds[il],     \
-              label=linesn[il], color=colvalues[il], linewidth=lwidths[il],          \
-              markersize=psizes[il], markevery=ptf)
+            if linesn[il] != '*': 
+                plt.plot(vardv[il], varvv[il], linekinds[il], marker=pointkinds[il], \
+                  label=gen.latex_text(linesn[il]), color=colvalues[il],             \
+                  linewidth=lwidths[il], markersize=psizes[il], markevery=ptf)
+            else:
+                plt.plot(vardv[il], varvv[il], linekinds[il], marker=pointkinds[il], \
+                  color=colvalues[il], linewidth=lwidths[il], markersize=psizes[il], \
+                  markevery=ptf)
 
             minvv = np.min(varvv[il])
@@ -6431,5 +6442,5 @@
 
         plt.xlabel(dtit)
-        plt.ylabel(vtit + ' (' + vunit + ')')
+        plt.ylabel(gen.latex_text(vtit) + ' (' + vunit + ')')
 
         if vmin == 'auto':