Index: trunk/tools/documentation/ncmanage/addDim.html
===================================================================
--- trunk/tools/documentation/ncmanage/addDim.html	(revision 1496)
+++ trunk/tools/documentation/ncmanage/addDim.html	(revision 1496)
@@ -0,0 +1,27 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      addDim
+    </DIV>
+    <DIV CLASS="valimg">
+      Operation to add a new dimension in a file
+    </DIV>
+    <DIV CLASS="valhelp">
+    addDim(values, ncfile, dimn)<BR>
+    &nbsp;&nbsp;values= [size]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[size]: size of the dimension ('unlimited' for unlimited)<BR>
+    &nbsp;&nbsp;ncfile= name of the file<BR>
+    &nbsp;&nbsp;dimn= name of the new dimension
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/nc_var.py -o addDim -S 128 -f SouthAm_Climzones.nc -v Lstring
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/ncmanage/addVar.html
===================================================================
--- trunk/tools/documentation/ncmanage/addVar.html	(revision 1496)
+++ trunk/tools/documentation/ncmanage/addVar.html	(revision 1496)
@@ -0,0 +1,31 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      addVar
+    </DIV>
+    <DIV CLASS="valimg">
+      Operation to add a new variable in a file using exisintg dimensions
+    </DIV>
+    <DIV CLASS="valhelp">
+      addVar(values, ncfile, varn)<BR>
+      values= [dnames]|[varattributes]|[kind]<BR>
+      &nbsp;&nbsp;[dnames]: [dimn1],...,[dimnN], ',' list of name of dimensions for the new variable (already existing)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;'scalar', for scalar variables<BR>
+      &nbsp;&nbsp;[attributes]: [std_name]@[long_name]@[units], standard name, long name and units of the variable ('!' for spaces)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;'None' for no standard attributes<BR>
+      &nbsp;&nbsp;[kind]: type of variable (standard netCDF4/C-like values, 'c', 'i', 'f', 'f8',...)<BR>
+      ncfile= name of the file<BR>
+      varn= name of the new variable
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/nc_var.py -o addVar -S 'reg,Lstring|region_name@name!of!the!regions@-|c' -f SouthAm_Climzones.nc -v regionn
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/ncmanage/addvarattr.html
===================================================================
--- trunk/tools/documentation/ncmanage/addvarattr.html	(revision 1496)
+++ trunk/tools/documentation/ncmanage/addvarattr.html	(revision 1496)
@@ -0,0 +1,26 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      addvarattr
+    </DIV>
+    <DIV CLASS="valimg">
+      Add an attribute to a variable. Removes previous attribute if it exists
+    </DIV>
+    <DIV CLASS="valhelp">
+    varaddattr(values, ncfile, varn)<BR>
+    &nbsp;&nbsp;values = [attrname]|[attrvalue('!' as spaces)]<BR>
+    &nbsp;&nbsp;ncfile = netCDF file name<BR>
+    &nbsp;&nbsp;varn = name of the variable<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/nc_var.py -o varaddattr -f SouthAm_Climzones.nc -S 'grid_mapping_name|Mercator' -v Mercator
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/ncmanage/addvarattrk.html
===================================================================
--- trunk/tools/documentation/ncmanage/addvarattrk.html	(revision 1496)
+++ trunk/tools/documentation/ncmanage/addvarattrk.html	(revision 1496)
@@ -0,0 +1,30 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      addvarattrk
+    </DIV>
+    <DIV CLASS="valimg">
+      Add an attribute to a variable caring about the type
+    </DIV>
+    <DIV CLASS="valhelp">
+    varaddattrk(values, ncfile, varn)<BR>
+    &nbsp;&nbsp;values = [attrname]|[attrvalue]|[attrk]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;attrname = name of the attribute<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;attrvalue = value of the attribute<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;attrk = 'S', string ('!' as spaces); 'I', integer; 'R', real; 'D', double; <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'npR', numpy Real, 'npR32', numpy Real-32<BR>
+    &nbsp;&nbsp;ncfile = netCDF file<BR>
+    &nbsp;&nbsp;varn = variable name
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/nc_var.py -o varaddattrk -f ${finaloname} -S 'longitude_of_central_meridian|-60.0|R' -v Mercator
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/ncmanage/ncmanage.html
===================================================================
--- trunk/tools/documentation/ncmanage/ncmanage.html	(revision 1495)
+++ trunk/tools/documentation/ncmanage/ncmanage.html	(revision 1496)
@@ -7,4 +7,6 @@
   <BODY>
     <DIV CLASS="colmenu">
+      <A CLASS="lc" HREF="addDim.html" TARGET="value">addDIM</A><BR>
+      <A CLASS="lc" HREF="addVar.html" TARGET="value">addVAR</A><BR>
       <A CLASS="lc" HREF="compute_opersvarsfiles.html" TARGET="value">compute_opersvarsfiles</A><BR>
       <A CLASS="lc" HREF="curve_section.html" TARGET="value">curve_section</A><BR>
@@ -12,4 +14,7 @@
       <A CLASS="lc" HREF="lonlat_polygon.html" TARGET="value">lonlat_polygon</A><BR>
       <A CLASS="lc" HREF="maskvar.html" TARGET="value">maskvar</A><BR>
+      <A CLASS="lc" HREF="setvar_asciivalues.html" TARGET="value">setvar_asciivalues</A><BR>
+      <A CLASS="lc" HREF="varaddattr.html" TARGET="value">varaddattr</A><BR>
+      <A CLASS="lc" HREF="varaddattrk.html" TARGET="value">varaddatrk</A><BR>
     </DIV>
     <DIV CLASS="valmenu">
Index: trunk/tools/documentation/ncmanage/setvar_asciivalues.html
===================================================================
--- trunk/tools/documentation/ncmanage/setvar_asciivalues.html	(revision 1496)
+++ trunk/tools/documentation/ncmanage/setvar_asciivalues.html	(revision 1496)
@@ -0,0 +1,30 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      setvar_asciivalues
+    </DIV>
+    <DIV CLASS="valimg">
+      Function to set de values of a variable with an ASCII file (common Fortran-like format)
+    </DIV>
+    <DIV CLASS="valhelp">
+      setvar_asciivalues(values, ncfile, varname)<BR>
+      &nbsp;&nbsp;values= asciifile: ASCII file with a Fortran-like structure ('#' for commentaries)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;[dim1]_1 [[dim2]_1 ... [dim2]_M]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;...<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;[dim1]_N<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;NOTE: for character values, use '!' for space<BR>
+      &nbsp;&nbsp;ncfile= netCDF file to use<BR>
+      &nbsp;&nbsp;varname= variable to use
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/nc_var.py -o setvar_asciivalues -S 'nombres_zonas.dat' -f SouthAm_Climzones.nc -v regionn
+    </DIV>
+  </BODY>
+</HTML>
+