Index: trunk/tools/documentation/plotting/2lines_time.html
===================================================================
--- trunk/tools/documentation/plotting/2lines_time.html	(revision 1515)
+++ trunk/tools/documentation/plotting/2lines_time.html	(revision 1515)
@@ -0,0 +1,60 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      draw_2lines_time:
+    </DIV>
+    <DIV CLASS="valimg">
+      Function to plot two time-lines in different axes (x/x2 or y/y2)
+      <IMG WIDTH="100%" SRC="figs/forcing_Amazonia_tas-wss.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+     draw_2lines_time(ncfiles, values, varnames)<BR>
+     &nbsp;&nbsp;values= [timevardim]:[varangeA]:[varangeB]:[timeaxisfmt]:[timeaxis]:[figvarns]:[colors]:<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[widths]:[styles]:[sizemarks]:[marks]:[graphtitle]:[labelaxis]:[legvals]:[figname]:[figkind]:[close]<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[timevardim]: name of the common variable-dimension time<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[varangeA]: ',' separated list of range (min,max) for A values ('None', automatic from<BR>      
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'variables_values'; 'Extrs' from values extremes)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[varangeB]: ',' separated list of range (min,max) for B values ('None', automatic from<BR> 
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'variables_values'; 'Extrs' from values extremes)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[timeaxisfmt]=[tkind];[tfmt]: format of the ticks for the time axis:<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[kind]: kind of time to appear in the graph<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Nval': according to a given number of values as 'Nval',[Nval]<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'exct': according to an exact time unit as 'exct',[tunit]; <BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;tunit= [Nunits],[tu]; [tu]= 'c': centuries, 'y': year, 'm': month,<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'w': week, 'd': day, 'h': hour, 'i': minute, 's': second, <BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'l': milisecond<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[tfmt]; desired format<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[timeaxis]: which is the time axis in the plot ('x' or 'y')<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[figvarns]: ',' separated list of names of the variables in the  plot<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[colors]: ',' list with color names of the lines for the variables ('None', automatic)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[widths]: ',' list with widths of the lines for the variables ('None', automatic)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[styles]: ',' list with the styles of the lines ('None', automatic)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[sizemarks]: ',' list with the size of the markers of the lines ('None', for 2.,2.)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[marks]: ';' list with the markers of the lines ('None', automatic)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[graphtitle]: title of the figure ('!' for spaces)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[labelaxis]: label in the figure of the common axis ('!' for spaces)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[legvals]=[locleg]|[fontsize]: <BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[locleg]: location of the legend (0, autmoatic)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1: 'upper right', 2: 'upper left', 3: 'lower left', 4: 'lower right',<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5: 'right', 6: 'center left', 7: 'center right', 8: 'lower center',<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9: 'upper center', 10: 'center'<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[fontsize]: font size for the legend (auto for 12)<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[figname]: name of the figure<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[figkind]: kind of figure<BR>
+     &nbsp;&nbsp;&nbsp;&nbsp;[close]: Whether figure should be finished or not<BR>
+     &nbsp;&nbsp;ncfiles= ',' separated list of files to use<BR>
+     &nbsp;&nbsp;varnames=  ',' separated list of variables names in the files to plot<BR>
+R>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/drawing.py -f forcing_Amazonia.nc,forcing_Amazonia.nc -o draw_2lines_time -S 'tstep:Excts:Excts:exct,5,y;%Y:x:tas,wss:r,b:2.:-,-:None:,;,:WFD!forcing!evolution!at!Amazonia:year:0|12:forcing_Amazonia_tas-wss:png:yes' -v Tair,Wind
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/gallery.html
===================================================================
--- trunk/tools/documentation/plotting/gallery.html	(revision 1489)
+++ trunk/tools/documentation/plotting/gallery.html	(revision 1515)
@@ -23,4 +23,5 @@
       <A HREF="Neighbourgh_evol.html"><IMG SRC="figs/Neighbourghood_evol.png" ALT="Neighbourghood evolution" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="Nlines.html"><IMG SRC="figs/Nlines_hurs_wrfout_tturb-xmean-last.png" ALT="Nlines" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="2lines_time.html"><IMG SRC="figs/forcing_Amazonia_tas-wss.png" ALT="2lines time" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="Nlines_time.html"><IMG SRC="figs/lines_time.png" ALT="Nlines time" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="plot_points.html"><IMG SRC="figs/stations_loc.png" ALT="plot points" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
Index: trunk/tools/documentation/plotting/plotting.html
===================================================================
--- trunk/tools/documentation/plotting/plotting.html	(revision 1489)
+++ trunk/tools/documentation/plotting/plotting.html	(revision 1515)
@@ -18,4 +18,5 @@
       <A CLASS="lc" HREF="Neighbourgh_evol.html" TARGET="value">Neighbourghood evolution</A><BR>
       <A CLASS="lc" HREF="Nlines.html" TARGET="value">Nlines</A><BR>
+      <A CLASS="lc" HREF="2lines_time.html" TARGET="value">2lines time</A><BR>
       <A CLASS="lc" HREF="Nlines_time.html" TARGET="value">Nlines time</A><BR>
       <A CLASS="lc" HREF="plot_points.html" TARGET="value">points</A><BR>